ActiveAdmin.register JamRuby::School, :as => 'Schools' do

  menu :label => 'Schools', :parent => 'JamClass'

  config.sort_order = 'created_at asc'
  config.batch_actions = false
  config.per_page = 100
  config.paginate = true
  config.filters = false

  index do

    actions

    column "Name" do |school|
      school.name
    end
    column "Owner" do |school|
      link_to school.owner.name, "#{Rails.application.config.external_root_url}/client#/profile/#{school.owner.id}"
    end
   column "Scheduling Communication" do |school|
     school.scheduling_communication
   end
    column "Correspondence Email" do |school|
      school.correspondence_email
    end

    column "Base Fee Rate" do |school|
      school.jamkazam_rate
    end
    column "JamKazam Sourced Fee Rate" do |school|
      school.base_rate
    end
    column "Is Education?" do |school|
      school.education ? 'Yes' : ''
    end
  end


end